package com.ruixuan.isc.entity;

import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 【请填写功能名称】对象 jy_order_item_list
 */
@Data
public class JYOrderItemList{
    private static final long serialVersionUID = 1L;

    /**
     * 商品ID
     */
    @Excel(name = "商品ID")
    private Long itemId;
    /**
     * 商品标题
     */
    @Excel(name = "商品标题")
    private String itemTitle;
    /**
     * 商品单价
     */
    @Excel(name = "商品单价")
    private BigDecimal reservePrice;

    /**
     * 商品图片
     */
    @Excel(name = "商品图片")
    private String imageUrl;
    /**
     * 服务费率
     */
    @Excel(name = "服务费率")
    private String regimentalPromotionRate;

    /**
     * 商品推广佣金率
     */
    @Excel(name = "商品推广佣金率")
    private String commissionRate;

    /**
     * 预估服务费收入
     */
    @Excel(name = "预估服务费收入")
    private BigDecimal regimentalPromotionAmount;

    /**
     * 预估收入
     */
//    @Excel(name = "预估收入")
    private BigDecimal mcnPromotionAmount;

    /**
     * 总出单量
     */
//    @Excel(name = "总出单量")
    private Long totalOrderNum;

    /**
     * 首次出单日期
     */
    @Excel(name = "首次出单日期")
    private String firstOrderTime;
}

