package com.ruixuan.jiaoyang.service;

import com.alibaba.fastjson.JSONObject;

import java.util.List;
import java.util.Map;

public interface IJiaoYangReportService {
    List<JSONObject> item(Map<String, Object> requestMap);

    List<JSONObject> itemDetail(Map<String, Object> requestMap);

    List<JSONObject> promoter(Map<String, Object> requestMap);

    List<JSONObject> anchorOrderDetail(Map<String, Object> requestMap);

    List<JSONObject> promoterStatistics(Map<String, Object> requestMap);

    List<JSONObject> getClipCooperation(Long date, Long promoterId, String promoterName);

    JSONObject getOrderTotal(Map<String, Object> requestMap);

    Double getOrderTotalRatio(Map<String, Object> ratioMap);

    JSONObject getServiceAmountTotal(Map<String, Object> requestMap);

    JSONObject getAmountTotal(Map<String, Object> requestMap);

    Double getAmountTotalRatio(Map<String, Object> ratioMap);

    List<JSONObject> getPromoterRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getPromoterRatioList(Map<String, Object> requestMap);

    List<JSONObject> getOrderRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getOrderRankList(Map<String, Object> requestMap);

    List<JSONObject> indexStatistics(Map<String, Object> requestMap);

    JSONObject getTimeIntervalRatio(Map<String, Object> requestMap);

    List<Long> getPromoterIdsByUserIds(List<Long> userIds);

    JSONObject dayData(Long date, Long lastDate,Long lastStart,Long lastEnd, Integer dataType);

    JSONObject monthData(Long nowMonthStartDate, Long nowMonthEndDate, Long lastMonthStartDate, Long lastMonthEndDate, Integer dataType);

    List<JSONObject> getTopItem(Long date, Long promoterId, String fieId, String sort);

    List<JSONObject> getTopItemUser();

    List<JSONObject> getDataByDate(Long strDateTimsToInt);

    String getJiaoYangCookie();

    void getAuthItem(String cookie, Integer offset, Integer count) throws InterruptedException;

    List<JSONObject> getAuthItemList(Map<String, Object> requestMap);

    void deleteAuthItem();

    JSONObject getTypeData(Long start, Long end);

    List<Long> getPromoterIdsByBusinessId(Long userId);

    List<Long> getPromoterIdsByMentorId(Long userId);
}
