package com.ruixuan.salesLeads.pojo;

import com.ruixuan.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 政策-公司主体表
 * @author zian Y
 * @date   2022-07-28
 * @version V1.0
 */
@Data
@ApiModel(value="saleFinanceCompanySubjectInfoPojo", description="政策-公司主体表")
public class SaleFinanceCompanySubjectInfoPojo {

	/**主键自增*/
	@ApiModelProperty(value = "主键自增")
	private Integer id;
	/**公司id-区域*/
	@ApiModelProperty(value = "公司id")
	private String companyId;
	/**公司主体名称*/
	@ApiModelProperty(value = "公司主体名称")
	private String companySubjectName;
	/**区域*/
	@ApiModelProperty(value = "区域")
	private String areaInfo;
	/**删除状态（0，正常，1已删除）*/
	@ApiModelProperty(value = "删除状态（0，正常，1已删除）")
	private Integer delFlag;
	/**创建人id*/
	@ApiModelProperty(value = "创建人id")
	private String createUserId;
	/**创建时间*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**更新时间*/
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;
}
