package com.ruixuan.isc.mapper;


import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.JYAccessToken;
import com.ruixuan.isc.entity.KuaishouAccessToken;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AccessTokenMapper {
    KuaishouAccessToken getAccessToken(Long regId);

    KuaishouAccessToken getKWaiAccessToken(String id);

    KuaishouAccessToken getKWaiAccessTokenByOpenId(@Param("openId") String openId);

    List<KuaishouAccessToken> getTokenInfos();

    void update(KuaishouAccessToken updateToken);

    List<KuaishouAccessToken> getByteDanceTokenInfos();

    void updateBytedance(KuaishouAccessToken update);

    List<KuaishouAccessToken> getMgsTokenInfos();

    List<KuaishouAccessToken> getYufuTokenInfos();

    List<KuaishouAccessToken> getYuxiuTokenInfos();

    List<KuaishouAccessToken> getZhishuiTokenInfos();

    List<KuaishouAccessToken> getRocketTokenInfos();

    List<JYAccessToken> getJYTokenInfos();

    void updateJYAccessToken(JYAccessToken updateToken);

    JYAccessToken getJYTokenInfoByPromoter(@Param("promoterId") Long promoterId);

    List<JSONObject> getKwaixiaodianTokens();

    void updateKwaixiaodianAccessToken(@Param("id") String id, @Param("updateAccessToken") String updateAccessToken, @Param("updateRefreshToken") String updateRefreshToken);

}
