package com.ruixuan.jiaoyang.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface IJiaoYangDingMapper {
    List<Long> getPromoterIdsByUserIds(@Param("userIds") List<Long> userIds);

    List<Long> getPromoterIdsByBusinessId(Long userId);

    List<Long> getPromoterIdsByMentorId(Long userId);

    JSONObject getSumInfo(Map<String, Object> requestMap);

    JSONObject getMonthInfo(Map<String, Object> requestMap);

    List<JSONObject> getEchartData(Map<String, Object> requestMap);

    List<JSONObject> getGmvHours(Map<String, Object> requestMap);

    List<JSONObject> getTeamList(Map<String, Object> requestMap);

    List<JSONObject> getAddItemList(Map<String, Object> requestMap);

    List<JSONObject> getPeopleList(Map<String, Object> requestMap);

    List<JSONObject> getAddItemListByUserId(Map<String, Object> requestMap);

    List<JSONObject> getPromoterList(Map<String, Object> requestMap);

    List<JSONObject> getItemList(Map<String, Object> requestMap);

    List<JSONObject> getDingPanTuiGuangUserList(Map<String, Object> requestMap);

    List<JSONObject> getDingPanMentorBusinessList(Map<String, Object> requestMap);

    List<JSONObject> getAddItemListByExpertId(Map<String, Object> requestMap);

    List<JSONObject> getAddItemListByClipUserId(Map<String, Object> requestMap);

    List<JSONObject> getVideoList(Map<String, Object> requestMap);

    List<JSONObject> getTeamDetail(Map<String, Object> requestMap);

    List<Long> getDeptUsers(@Param("deptId") Long deptId);

    List<JSONObject> getPromoterItemDetail(Map<String, Object> requestMap);

    List<JSONObject> getItemPromoterDetail(Map<String, Object> requestMap);
}
