package com.ruixuan.open.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 用户视频列对象 kuaishou_open_photo_list
 *
 * @author ruoyi
 * @date 2024-07-09
 */
@Data
@ApiModel(value = "KuaishouOpenPhotoList", description = "用户视频列对象")
public class KuaishouOpenPhotoList {
    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 达人id
     */
    private Long promoterId;

    /**
     * 作品id
     */
    private String photoId;

    /**
     * 作品标题
     */
    private String caption;

    /**
     * 作品封面
     */
    private String cover;

    /**
     * 作品播放链接
     */
    private String playUrl;

    /**
     * 作品创建时间
     */
    private Long photoCreateTime;

    /**
     * 作品点赞数
     */
    private Long likeCount;

    /**
     * 作品评论数
     */
    private Long commentCount;

    /**
     * 作品观看数
     */
    private Long viewCount;

    /**
     * 作品状态(是否还在处理中，不能观看)1-true,0-false
     */
    private String pending;

    private String createTime;

    private String updateTime;

}
