package com.ruixuan.open.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 用户公开信息对象 kuaishou_open_user_info
 *
 * @author ruoyi
 * @date 2024-07-09
 */

@Data
@ApiModel(value = "KuaishouOpenPhotoCount", description = "视频数量对象")
public class KuaishouOpenUserInfo {

    private Long id;

    /**
     * 达人ID
     */
    private Long promoterId;

    /**
     * 用户昵称
     */
    private String name;

    /**
     * 用户性别，"F"为女性，"M"为男性，"其他"为未知
     */
    private String sex;

    /**
     * 用户头像地址
     */
    private String head;

    /**
     * 用户高清大头像地址
     */
    private String bigHead;

    /**
     * 用户的openId，同一个用户在同一个开发者主体下返回的openId是一致的
     */
    private String openId;

    private String createTime;

    private String updateTime;

}
