package com.ruixuan.open.service;

import com.ruixuan.open.entity.KuaishouOpenUserInfo;

import java.util.List;

/**
 * 用户公开信息Service接口
 *
 * @author ruoyi
 * @date 2024-07-09
 */
public interface IKuaishouOpenUserInfoService {
    /**
     * 查询用户公开信息
     *
     * @param id 用户公开信息主键
     * @return 用户公开信息
     */
    public KuaishouOpenUserInfo selectKuaishouOpenUserInfoById(Long id);

    /**
     * 查询用户公开信息列表
     *
     * @param kuaishouOpenUserInfo 用户公开信息
     * @return 用户公开信息集合
     */
    public List<KuaishouOpenUserInfo> selectKuaishouOpenUserInfoList(KuaishouOpenUserInfo kuaishouOpenUserInfo);

    void insertKuaishouOpenUserInfo();
}