package com.ruixuan.salesLeads.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 销售线索-额度信息表
 * @CreateDate: 2022-05-24
 * ****************************************************
 */


@Data
@ApiModel(value = "saleQuotaInfoPojo", description = "销售线索-额度")
public class SaleQuotaInfoPojo {


    private int id;


    @ApiModelProperty("卖家id")
    private Long sellerId;

    @ApiModelProperty("'近30天'")
    private String nearlyThirtyDays;

    @ApiModelProperty("gmv月份")
    private Long gmvMonth;

    @ApiModelProperty("gmv")
    private String gmv;

    @ApiModelProperty("mtd日期")
    private Long mtdDate;

    @ApiModelProperty("mtd")
    private String mtd;



    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private String createTime;



}
