package com.ruixuan.salesLeads.pojo.vo;


import com.ruixuan.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 财务政策信息表
 * @CreateDate: 2022-05-19
 * ****************************************************
 */

@Data
@ApiModel(value = "saleClueCallRecordPojo", description = "财务政策信息")
public class SaleFinancePolicyInfoVo {

    /**公司名称*/
    @ApiModelProperty(value = "公司名称")
    private String companyName;
    /**广告主id*/
    @ApiModelProperty(value = "广告主名称")
    private String advertiserName;

    @ApiModelProperty(value = "产品名称")
    private String productName;

    @ApiModelProperty(value = "投放类型1磁力金牛-投流、2 磁力金牛-操盘")
    private String releaseType;

    /**返点类型：0:返现  1:返货   2:返现+返货*/
    @ApiModelProperty(value = "返点类型：0:返现  1:返货   2:返现+返货")
    private Integer rebateType;

    @ApiModelProperty(value = "销售姓名")
    private String saleName;

    @ApiModelProperty(value = "创建人id")
    private String createUserId;

    @ApiModelProperty(value = "创建时间")
    private String createTimeStart;
    @ApiModelProperty(value = "创建时间")
    private String createTimeEnd;






}
