package com.ruixuan.salesLeads.service.impl;

import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.common.utils.PageUtils;
import com.ruixuan.salesLeads.mapper.TestMapper;
import com.ruixuan.salesLeads.pojo.TestPojo;
import com.ruixuan.salesLeads.service.ITestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: demo测试
 * @CreateDate: 2022-05-19
 * ****************************************************
 */
@Service
public class TestServiceImpl implements ITestService {


    @Autowired
    private TestMapper testMapper;

    @Override
    public ResultResponse selectDemoList() {
        PageUtils.startPage();
        List<TestPojo> list = testMapper.selectDemoList();
        return ResultResponse.successMsg("成功",list);
    }
}
